Skip to content

Instantly share code, notes, and snippets.

mattmartini

Block or report user

Report or block mattmartini

Hide content and notifications from this user.

Learn more about blocking users

Contact Support about this user’s behavior.

Learn more about reporting abuse

Report abuse
View GitHub Profile
View dishes.rb
# == Schema Information
#
# Table name: dishes
#
# id :integer not null, primary key
# name :string
# category_id :integer
# description :string
# small_size_price :decimal(, )
# large_size_price :decimal(, )
View spec_errors.txt
Dish F......F..
1) Dish Model should validate that :name cannot be empty/falsy
Failure/Error: delegate :multi_size?, to: :category
Module::DelegationError:
Dish#multi_size? delegated to category.multi_size?, but category is nil: #<Dish id: nil, name: nil, category_id: 6, description: nil, small_size_price: nil, large_size_price: nil, created_at: nil, updated_at: nil>
# ./app/models/dish.rb:21:in `rescue in multi_size?'
# ./app/models/dish.rb:21:in `multi_size?'
# ./spec/models/dish_spec.rb:25:in `block (3 levels) in <top (required)>'
View dish_spec.rb
# == Schema Information
#
# Table name: dishes
#
# id :integer not null, primary key
# name :string
# category_id :integer
# description :string
# small_size_price :decimal(, )
# large_size_price :decimal(, )
View patch-sandbox-darwin.c-apple-sandbox-named-external-prefix-fix.diff
--- a/sandbox-darwin.c 2015-08-21 06:49:03.000000000 +0200
+++ b/sandbox-darwin.c 2015-10-24 04:41:19.000000000 +0200
@@ -62,8 +62,16 @@ ssh_sandbox_child(struct ssh_sandbox *bo
struct rlimit rl_zero;
debug3("%s: starting Darwin sandbox", __func__);
+#ifdef __APPLE_SANDBOX_NAMED_EXTERNAL__
+#ifndef SANDBOX_NAMED_EXTERNAL
+#define SANDBOX_NAMED_EXTERNAL (0x3)
+#endif
View admin_permission.rb
# app/models/permissions/admin_permission.rb
module Permissions
class AdminPermission < BasePermission
def initialize(user)
allow_all
end
end
end
View al-1.1.0-demo
require "awesome_print"
begin
AwesomePrint.irb!
rescue StandardError => err
warn "AwesomePrint.irb! doesn't exist in the old version:\n#{err}"
end
puts "Awesome Print version: #{AwesomePrint.version}\n\n"
View al-1.6.1-demo
require "awesome_print"
begin
AwesomePrint.irb!
rescue StandardError => err
warn "AwesomePrint.irb! doesn't exist in the old version:\n#{err}"
end
puts "Awesome Print version: #{AwesomePrint.version}\n\n"
View ap-1.0.2-demo
`require "awesome_print"
begin
AwesomePrint.irb!
rescue StandardError => err
warn "AwesomePrint.irb! doesn't exist in the old version:\n#{err}"
end
puts "Awesome Print version: #{AwesomePrint.version}\n\n"
View config.log
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
It was created by libffi configure 3.0.10, which was
generated by GNU Autoconf 2.68. Invocation command line was
$ /Users/USERNAME/.rvm/gems/ruby-1.9.3-p545@CLIENTNAME/gems/ffi-1.9.3/ext/ffi_c/libffi/configure --disable-static --with-pic=yes --disable-dependency-tracking --host=x86_64-apple-darwin
## --------- ##
## Platform. ##
View gist:d3256cb52e5eafb2346b
package configuration for libffi is not found
have_header: checking for ffi.h... -------------------- no
"/usr/local/opt/gcc46/bin/gcc-4.6 -o conftest -I/Users/USERNAME/.rvm/rubies/ruby-1.9.3-p545/include/ruby-1.9.1/x86_64-darwin12.5.0 -I/Users/USERNAME/.rvm/rubies/ruby-1.9.3-p545/include/ruby-1.9.1/ruby/backward -I/Users/USERNAME/.rvm/rubies/ruby-1.9.3-p545/include/ruby-1.9.1 -I. -D_XOPEN_SOURCE -D_DARWIN_C_SOURCE -I/usr/local/opt/libyaml/include -I/usr/local/opt/readline/include -I/usr/local/opt/libksba/include -I/usr/local/opt/openssl/include -O3 -ggdb -Wall -Wextra -Wno-unused-parameter -Wno-parentheses -Wno-long-long -Wno-missing-field-initializers -Wpointer-arith -Wwrite-strings -Wdeclaration-after-statement -Wimplicit-function-declaration -fno-common -pipe conftest.c -L. -L/Users/USERNAME/.rvm/rubies/ruby-1.9.3-p545/lib -L/usr/local/opt/libyaml/lib -L/usr/local/opt/readline/lib -L/usr/local/opt/libksba/lib -L/usr/local/opt/openssl/lib -L. -L/usr/local/lib -L/usr/local/opt/libyaml/lib -L/usr/local
You can’t perform that action at this time.